Package io.milvus.response

## Class MutationResultWrapper

- java.lang.Object
- - io.milvus.response.MutationResultWrapper

-     public class MutationResultWrapper
      extends java.lang.Object

  Utility class to wrap response of `insert/delete` interface.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MutationResultWrapper​(@NonNull io.milvus.grpc.MutationResult result)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getDeleteCount()` | Gets the row count of the deleted entities.
    `java.util.List<?>` | `getDeleteIDs()` | Gets the ID array from returned by delete interface.
    `long` | `getInsertCount()` | Gets the row count of the inserted entities.
    `java.util.List<?>` | `getInsertIDs()` | Gets the ID array from returned by insert interface.
    `java.util.List<java.lang.Long>` | `getLongIDs()` | Gets the long ID array returned by insert interface.
    `long` | `getOperationTs()` | Get timestamp of the operation marked by server.
    `java.util.List<java.lang.String>` | `getStringIDs()` | Gets the string ID array returned by insert interface.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MutationResultWrapper

          public MutationResultWrapper​(@NonNull
                                       @NonNull io.milvus.grpc.MutationResult result)

  - ### Method Detail

    - #### getInsertCount

          public long getInsertCount()

      Gets the row count of the inserted entities.
      Returns:
        `int` row count of the inserted entities

    - #### getLongIDs

          public java.util.List<java.lang.Long> getLongIDs()
                                                    throws ParamException

      Gets the long ID array returned by insert interface. Throw `ParamException` if the primary key type is not int64 type.
      Returns:
        List of Long, ID array returned by insert interface
      Throws:
        `ParamException`

    - #### getStringIDs

          public java.util.List<java.lang.String> getStringIDs()
                                                        throws ParamException

      Gets the string ID array returned by insert interface. Throw `ParamException` if the primary key type is not string type. Note that current release of Milvus doesn't support string type field, thus this method is reserved.
      Returns:
        List of String, ID array returned by insert interface
      Throws:
        `ParamException`

    - #### getInsertIDs

          public java.util.List<?> getInsertIDs()

      Gets the ID array from returned by insert interface.
      Returns:
        List of Ids, ID array returned by insert interface

    - #### getDeleteIDs

          public java.util.List<?> getDeleteIDs()

      Gets the ID array from returned by delete interface.
      Returns:
        List of Ids, ID array returned by delete interface

    - #### getDeleteCount

          public long getDeleteCount()

      Gets the row count of the deleted entities. Currently, this value is always equal to input row count
      Returns:
        `int` row count of the deleted entities

    - #### getOperationTs

          public long getOperationTs()

      Get timestamp of the operation marked by server. You can use this timestamp as for guarantee timestamp of query/search api. Note: the timestamp is not an absolute timestamp, it is a hybrid value combined by UTC time and internal flags. We call it TSO, for more information: @see Hybrid Timestamp in Milvus
      Returns:
        `int` row count of the deleted entities